# Frontle Toast

> Toast UI in Frontle
>

![화면-기록-2022-07-12-오후-4.50.51](https://user-images.githubusercontent.com/49587288/197339444-10307238-3297-42d7-abe2-3cf154bb7f44.gif)

## Usage

```javascript
// at css file
.toastBackground{
    background-color: grey;
}
.toastColor{
    color: white;
}

// at js file
import frontle_toast from "browser_modules/frontle-toast/module.js";
const Toast = frontle_toast.Toast;

let toast = new Toast('<div>this is a toast<div>');
toast.toastClass = 'toastBackground toastColor';
toast.start = () => {
    console.log('toast start!');
}
toast.open();
```

## Install

**Frontle**

```shell
frontle install frontle-toast
```

**Download files**

https://github.com/Artifriends-inc/Frontle-Toast

## API

#### new toast(html)

Create a toast object

```javascript
let toast = new Toast('<div>this is a toast<div>');
```

#### .toastClass

Set the css class of a toast

```javascript
toast.toastClass = 'toastBackground toastColor';
```

#### .transitionSeconds

Set the toast animation time

```javascript
toast.transitionSeconds = 0.3;
```

#### .holdSeconds

Set the toast hold time

```javascript
toast.holdSeconds = 3;
```

#### .awake

This lifecycle runs before toast rendering.

```javascript
toast.awake = () => { console.log('before rendering') }
```

#### .start

This lifecycle runs after toast rendered

```javascript
toast.start = () => { console.log('after rendering') }
```

#### .end

This lifecycle runs before toast termination

```javascript
toast.end = () => { console.log('before termination') }
```

#### .sleep

This lifecycle runs after toast termination

```javascript
toast.sleep = () => { console.log('after termination') }
```

#### .open()

Open toast

```javascript
toast.open();
```

#### .close()

Close toast

```javascript
toast.close();
```

## People

The original author of frontle-toast is [MushStory](https://github.com/MushStory)

## License

 [MIT](LICENSE)
